Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface ParamDecl

All Superinterfaces:
  java.lang.Cloneable, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps

All Known Implementing Classes:
  ParamDecl_c

    public interface ParamDecl

extends polyglot.ast.Node

The AST node representing a label/principal parameter declaration.

Method Summary
`boolean` | `isCovariantLabel()`
`boolean` | `isInvariantLabel()`
`boolean` | `isLabel()`
`boolean` | `isPrincipal()`
`ParamInstance.Kind` | `kind()`
`ParamDecl` | `kind(ParamInstance.Kind kind)`
`java.lang.String` | `name()`
`ParamDecl` | `name(java.lang.String name)`
`ParamInstance` | `paramInstance()`
`ParamDecl` | `paramInstance(ParamInstance pi)`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### name

    java.lang.String name()

### name

    ParamDecl name(java.lang.String name)

### kind

    ParamInstance.Kind kind()

### kind

    ParamDecl kind(ParamInstance.Kind kind)

### paramInstance

    ParamInstance paramInstance()

### paramInstance

    ParamDecl paramInstance(ParamInstance pi)

### isPrincipal

    boolean isPrincipal()

### isLabel

    boolean isLabel()

### isInvariantLabel

    boolean isInvariantLabel()

### isCovariantLabel

    boolean isCovariantLabel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD